> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Time Entry

> Delete a clock-in record (soft delete by setting is_archived=True).
Requires clock_in:times:edit permission.
Creates an audit log entry tracking the deletion.



## OpenAPI

````yaml delete /check-in/clock-in/{time_entry_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /check-in/clock-in/{time_entry_id}:
    delete:
      tags:
        - provider
        - check-in
        - clock-in
      summary: Delete Time Entry
      description: |-
        Delete a clock-in record (soft delete by setting is_archived=True).
        Requires clock_in:times:edit permission.
        Creates an audit log entry tracking the deletion.
      operationId: delete_time_entry_check_in_clock_in__time_entry_id__delete
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: time_entry_id
          in: path
          required: true
          schema:
            type: string
            title: Time Entry Id
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/ClockInRecordDelete'
                - type: 'null'
              title: Delete Request
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ClockInRecordDelete:
      properties:
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
      type: object
      title: ClockInRecordDelete
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````